List recent lifecycle tasks
GET
/tasks/lifecycle/recent
const url = 'https://sylve.lan:8181/api/tasks/lifecycle/recent?guestType=vm&limit=50';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://sylve.lan:8181/api/tasks/lifecycle/recent?guestType=vm&limit=50' \ --header 'Authorization: <Authorization>'List recent guest lifecycle tasks with an explicit bounded limit and optional guest filters
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”guestType
string
Guest type
guestId
integer
Positive guest ID
limit
integer
Maximum tasks to return
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
action
string
createdAt
string
error
string
finishedAt
string
guestId
integer
guestType
string
id
integer
message
string
overrideRequested
boolean
payload
string
requestedBy
string
source
string
startedAt
string
status
string
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "action": "example", "createdAt": "example", "error": "example", "finishedAt": "example", "guestId": 1, "guestType": "example", "id": 1, "message": "example", "overrideRequested": true, "payload": "example", "requestedBy": "example", "source": "example", "startedAt": "example", "status": "example", "updatedAt": "example" } ], "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}